# Get Document by Agile ID

Endpoint: GET /documents/agile-id/{agile_id}
Version: 1.0.0
Security: ApiKeyAuth

## Path parameters:

  - `agile_id` (string, required)
    The Agile ID of the document.

## Response 200 fields (application/json):

  - `agileId` (string)
    Primary Agile ID of the document.
    Example: "X0185126"

  - `dcpDocumentId` (string)
    DCP Document ID, if applicable.
    Example: "R01TB0099EJ0100"

  - `url` (string)
    URL to download the document.
    Example: "https://www.renesas.com/en/document/oth/ra8p1-group-handbook"

  - `category` (array)
    Category.
    Example: [[{"level":1,"title":"Category Level 1"},{"level":2,"title":"Category Level 2"}]]

  - `category.level` (integer)
    Level of the category:
* 1 - Primary category
* 2 - Secondary subcategory  
* 3 - Tertiary subcategory
* 4 - Fourth-level subcategory
    Enum: 1, 2, 3, 4

  - `category.title` (string)
    Title of the category.

  - `product` (array)
    List of associated products.
    Example: [{"productId":"RL78/G13","title":"Sample Product Title","nid":12345,"uuid":"550e8400-e29b-41d4-a716-446655440000","language":"en"}]

  - `product.productId` (string)
    Associated product ID.

  - `product.type` (string)
    Type of the associated product.
    Enum: "Product", "Board & Kit", "Software Tool"

  - `product.title` (string)
    Associated product title.

  - `product.nid` (string)
    Drupal node ID of the product.

  - `product.uuid` (string)
    UUID of the product node.

  - `product.language` (string)
    Language code of the product node.

  - `title` (string)
    Title of the document.
    Example: "RA8P1 Group Handbook"

  - `type` (string)
    Type of the document (e.g., Flyer, App Note).
    Example: "Other"

  - `fileType` (string)
    File format (e.g., PDF, DOCX).
    Example: "PDF"

  - `secureDocument` (boolean)
    Indicates if the document is secure or restricted.

  - `revisionDate` (string)
    Original revision date of the document.

  - `wwwUpdateDate` (string)
    Date the document was last updated on the website.

  - `language` (string)
    Language of the document (e.g., en, ja, zh-hans).

  - `nid` (string)
    Drupal node ID of the document.

  - `uuid` (string)
    UUID of the document node.

  - `translation` (array)
    List of translations for the document.
    Example: [[{"language":"ja","dcpDocumentId":"DOC123456-JA","agileId":"X1234567","href":"/documents/DOC123456-JA"},{"language":"zh-hans","dcpDocumentId":"DOC123456-ZH","agileId":"X1234567","title":"Document Title in Chinese","href":"/documents/DOC123456-ZH"}]]

  - `translation.language` (string)
    Language of the document (e.g., en, ja, zh).

  - `translation.dcpDocumentId` (string)
    DCP Document ID of the translation.

  - `translation.agileId` (string)
    Agile ID of the translation.

  - `translation.title` (string)
    Title of the translation document.

  - `translation.href` (string)
    URL to retrieve the translation document.

  - `published` (boolean)
    Publication status of the document.

  - `featured` (boolean)
    Whether the document is featured or highlighted.

  - `relationship` (string)
    Relationship or association type, if any.

  - `filename` (string)
    Original filename of the document.

  - `disclaimer` (array)
    List of associated disclaimer documents.
    Example: [{"dcpDocumentId":"DISC789012","language":"en","agileId":"X1234567","title":"Standard Product Disclaimer","href":"/documents/DISC789012"},{"dcpDocumentId":"DISC789013","language":"en","agileId":"X1234567","title":"Export Control Disclaimer","href":"/documents/DISC789013"}]

  - `disclaimer.dcpDocumentId` (string)
    DCP Document ID of the disclaimer document.

  - `disclaimer.agileId` (string)
    Agile ID of the disclaimer document.

  - `disclaimer.language` (string)
    Language of the document (e.g., en, ja, zh).

  - `disclaimer.title` (string)
    Title of the disclaimer document.

  - `disclaimer.href` (string)
    URL to retrieve the disclaimer document.

  - `myrenesasDocument` (boolean)
    Is a MyRenesas document.

## Response 404 fields (application/json):

  - `error` (string)


